# Questionnaire read

`GET /Questionnaire/{id}`

This resource contains a list of questions used to gather information from a patient, provider, or other individual during a patient's course of treatment. The questions may be grouped or listed in a particular order, as well as include any instructional text. 

Any answers to the questions are provided with the `QuestionnaireResponse` resource. 

You can review or retrieve healthcare questionnaires.

> **Supported fields and schema examples**
>
> We support any valid FHIR field. However, we only display fields we’ve defined in our schema, which are usually based on what’s included in the U.S. Core profile. We recommend relying on U.S. Core requirements. 
>
> Our schema examples show the shape and possibility of each FHIR resource; they aren’t code for real-time API calls. We don’t currently recommend copying and pasting these schema examples for your API calls. [Consider reviewing FHIR API actions](/fhir-api-actions) for realistic examples for particular use cases.

### read

Review a specific `Questionnaire` resource with a list or groups of questions to give to a patient, provider, or other individual.

> **FHIR read**
>
> To use a `read` interaction, you must know the related resource ID, which you may not have in your real workflows. A `read` is likely only a follow-up option after receiving the specific resource in a recent FHIR passthrough or data on demand exchange.
>
> Typically, you should use the more flexible `_search` with query parameters, unless you’re guaranteed to request data directly from a FHIR server using the resource ID. [Learn more about using FHIR identifiers](https://docs.redoxengine.com/permalink/3D5vEc8GfbxZ0SLhMbLfuQ).

## Request parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | path | string | Yes | Questionnaire identifier |

## Request example

```bash
curl 'https://api.redoxengine.com/fhir/R4/{destinationSlug}/{environmentFlag}/Questionnaire/{id}' \
--request GET \
--header 'Authorization: Bearer $API_TOKEN'
```

## Responses

### 200

The Questionnaire

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: Questionnaire |
| `status` | string | Yes | The status of this questionnaire. Enables tracking the life-cycle of the content. Possible values: draft, active, retired, unknown |
| `id` | string | No | The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes. |
| `identifier` | Array of object | No | A formal identifier that is used to identify this questionnaire when it is represented in other formats, or referenced in a specification, model, design or an instance. |
| `identifier[].extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `identifier[].extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `identifier[].extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (String).valueString` | string | No | A single value for the extension. |
| `identifier[].extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `identifier[].extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `identifier[].extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `identifier[].extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `identifier[].extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `identifier[].extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `identifier[].extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `identifier[].extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `identifier[].extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `identifier[].extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `identifier[].extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `identifier[].use` | string | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old (If known) |
| `identifier[].system` | string | No | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `identifier[].value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `version` | string | No | The identifier that is used to identify this version of the questionnaire when it is referenced in a specification, model, design or instance. This is an arbitrary value managed by the questionnaire author and is not expected to be globally unique. For example, it might be a timestamp (e.g. yyyymmdd) if a managed version is not available. There is also no expectation that versions can be placed in a lexicographical sequence. |
| `name` | string | No | A natural language name identifying the questionnaire. This name should be usable as an identifier for the module by machine processing applications such as code generation. |
| `title` | string | No | A short, descriptive, user-friendly title for the questionnaire. |
| `derivedFrom` | Array of string | No | The URL of a Questionnaire that this Questionnaire is based on. |
| `experimental` | boolean | No | A Boolean value to indicate that this questionnaire is authored for testing purposes (or education/evaluation/marketing) and is not intended to be used for genuine usage. |
| `subjectType` | Array of string | No | The types of subjects that can be the subject of responses created for the questionnaire. |
| `date` | string | No | The date  (and optionally time) when the questionnaire was published. The date must change when the business version changes and it must change if the status code changes. In addition, it should change when the substantive content of the questionnaire changes. |
| `publisher` | string | No | The name of the organization or individual that published the questionnaire. |
| `description` | string | No | A free text natural language description of the questionnaire from a consumer's perspective. |
| `useContext` | Array of object | No | The content was developed with a focus and intent of supporting the contexts that are listed. These contexts may be general categories (gender, age, ...) or may be references to specific programs (insurance plans, studies, ...) and may be used to assist with indexing and searching for appropriate questionnaire instances. |
| `useContext[].code` | object | Yes | A code that identifies the type of context being specified by this usage context. |
| `useContext[].code.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `useContext[].code.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `useContext[].valueCodeableConcept` | object | Yes | A value that defines the context specified in this context of use. The interpretation of the value is defined by the code. Only one of `valueCodeableConcept`, `valueQuantity`, `valueRange`, `valueReference` may be present. |
| `useContext[].valueCodeableConcept.id` | string | No | A sequence of Unicode characters |
| `useContext[].valueCodeableConcept.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `useContext[].valueCodeableConcept.extension[].id` | string | No | A sequence of Unicode characters |
| `useContext[].valueCodeableConcept.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `useContext[].valueCodeableConcept.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `useContext[].valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `useContext[].valueCodeableConcept.coding[].id` | string | No | A sequence of Unicode characters |
| `useContext[].valueCodeableConcept.coding[].extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `useContext[].valueCodeableConcept.coding[].extension[].id` | string | No | A sequence of Unicode characters |
| `useContext[].valueCodeableConcept.coding[].extension[].url` | string | No | String of characters used to identify a name or a resource |
| `useContext[].valueCodeableConcept.coding[].extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `useContext[].valueCodeableConcept.coding[].system` | string | No | String of characters used to identify a name or a resource |
| `useContext[].valueCodeableConcept.coding[]._system` | object | No | Extensions for system |
| `useContext[].valueCodeableConcept.coding[]._system.id` | string | No | A sequence of Unicode characters |
| `useContext[].valueCodeableConcept.coding[]._system.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `useContext[].valueCodeableConcept.coding[]._system.extension[].id` | string | No | A sequence of Unicode characters |
| `useContext[].valueCodeableConcept.coding[]._system.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `useContext[].valueCodeableConcept.coding[]._system.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `useContext[].valueCodeableConcept.coding[].version` | string | No | A sequence of Unicode characters |
| `useContext[].valueCodeableConcept.coding[]._version` | object | No | Extensions for version |
| `useContext[].valueCodeableConcept.coding[]._version.id` | string | No | A sequence of Unicode characters |
| `useContext[].valueCodeableConcept.coding[]._version.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `useContext[].valueCodeableConcept.coding[]._version.extension[].id` | string | No | A sequence of Unicode characters |
| `useContext[].valueCodeableConcept.coding[]._version.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `useContext[].valueCodeableConcept.coding[]._version.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `useContext[].valueCodeableConcept.coding[].code` | string | No | A string which has at least one character and no leading or trailing whitespace and where there is no whitespace other than single spaces in the contents |
| `useContext[].valueCodeableConcept.coding[]._code` | object | No | Extensions for code |
| `useContext[].valueCodeableConcept.coding[]._code.id` | string | No | A sequence of Unicode characters |
| `useContext[].valueCodeableConcept.coding[]._code.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `useContext[].valueCodeableConcept.coding[]._code.extension[].id` | string | No | A sequence of Unicode characters |
| `useContext[].valueCodeableConcept.coding[]._code.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `useContext[].valueCodeableConcept.coding[]._code.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `useContext[].valueCodeableConcept.coding[].display` | string | No | A sequence of Unicode characters |
| `useContext[].valueCodeableConcept.coding[]._display` | object | No | Extensions for display |
| `useContext[].valueCodeableConcept.coding[]._display.id` | string | No | A sequence of Unicode characters |
| `useContext[].valueCodeableConcept.coding[]._display.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `useContext[].valueCodeableConcept.coding[]._display.extension[].id` | string | No | A sequence of Unicode characters |
| `useContext[].valueCodeableConcept.coding[]._display.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `useContext[].valueCodeableConcept.coding[]._display.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `useContext[].valueCodeableConcept.coding[].userSelected` | boolean | No | Value of "true" or "false" |
| `useContext[].valueCodeableConcept.coding[]._userSelected` | object | No | Extensions for userSelected |
| `useContext[].valueCodeableConcept.coding[]._userSelected.id` | string | No | A sequence of Unicode characters |
| `useContext[].valueCodeableConcept.coding[]._userSelected.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `useContext[].valueCodeableConcept.coding[]._userSelected.extension[].id` | string | No | A sequence of Unicode characters |
| `useContext[].valueCodeableConcept.coding[]._userSelected.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `useContext[].valueCodeableConcept.coding[]._userSelected.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `useContext[].valueCodeableConcept.text` | string | No | A sequence of Unicode characters |
| `useContext[].valueCodeableConcept._text` | object | No | Extensions for text |
| `useContext[].valueCodeableConcept._text.id` | string | No | A sequence of Unicode characters |
| `useContext[].valueCodeableConcept._text.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `useContext[].valueCodeableConcept._text.extension[].id` | string | No | A sequence of Unicode characters |
| `useContext[].valueCodeableConcept._text.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `useContext[].valueCodeableConcept._text.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `useContext[].valueQuantity` | object | Yes | A value that defines the context specified in this context of use. The interpretation of the value is defined by the code. Only one of `valueCodeableConcept`, `valueQuantity`, `valueRange`, `valueReference` may be present. |
| `useContext[].valueQuantity.id` | string | No | A sequence of Unicode characters |
| `useContext[].valueQuantity.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `useContext[].valueQuantity.extension[].id` | string | No | A sequence of Unicode characters |
| `useContext[].valueQuantity.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `useContext[].valueQuantity.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `useContext[].valueQuantity.value` | number | No | A rational number with implicit precision |
| `useContext[].valueQuantity._value` | object | No | Base definition for all elements in a resource. |
| `useContext[].valueQuantity._value.id` | string | No | A sequence of Unicode characters |
| `useContext[].valueQuantity._value.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `useContext[].valueQuantity._value.extension[].id` | string | No | A sequence of Unicode characters |
| `useContext[].valueQuantity._value.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `useContext[].valueQuantity._value.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `useContext[].valueQuantity.comparator` | any | No | How the value should be understood and represented - whether the actual value is greater or less than the stated value due to measurement issues; e.g. if the comparator is "<" , then the real value is < stated value. Possible values: <, <=, >=, > |
| `useContext[].valueQuantity._comparator` | object | No | Base definition for all elements in a resource. |
| `useContext[].valueQuantity._comparator.id` | string | No | A sequence of Unicode characters |
| `useContext[].valueQuantity._comparator.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `useContext[].valueQuantity._comparator.extension[].id` | string | No | A sequence of Unicode characters |
| `useContext[].valueQuantity._comparator.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `useContext[].valueQuantity._comparator.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `useContext[].valueQuantity.unit` | string | No | A sequence of Unicode characters |
| `useContext[].valueQuantity._unit` | object | No | Base definition for all elements in a resource. |
| `useContext[].valueQuantity._unit.id` | string | No | A sequence of Unicode characters |
| `useContext[].valueQuantity._unit.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `useContext[].valueQuantity._unit.extension[].id` | string | No | A sequence of Unicode characters |
| `useContext[].valueQuantity._unit.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `useContext[].valueQuantity._unit.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `useContext[].valueQuantity.system` | string | No | String of characters used to identify a name or a resource |
| `useContext[].valueQuantity._system` | object | No | Base definition for all elements in a resource. |
| `useContext[].valueQuantity._system.id` | string | No | A sequence of Unicode characters |
| `useContext[].valueQuantity._system.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `useContext[].valueQuantity._system.extension[].id` | string | No | A sequence of Unicode characters |
| `useContext[].valueQuantity._system.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `useContext[].valueQuantity._system.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `useContext[].valueQuantity.code` | string | No | A string which has at least one character and no leading or trailing whitespace and where there is no whitespace other than single spaces in the contents |
| `useContext[].valueQuantity._code` | object | No | Base definition for all elements in a resource. |
| `useContext[].valueQuantity._code.id` | string | No | A sequence of Unicode characters |
| `useContext[].valueQuantity._code.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `useContext[].valueQuantity._code.extension[].id` | string | No | A sequence of Unicode characters |
| `useContext[].valueQuantity._code.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `useContext[].valueQuantity._code.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `useContext[].valueRange` | object | Yes | A value that defines the context specified in this context of use. The interpretation of the value is defined by the code. Only one of `valueCodeableConcept`, `valueQuantity`, `valueRange`, `valueReference` may be present. |
| `useContext[].valueRange.id` | string | No | A sequence of Unicode characters |
| `useContext[].valueRange.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `useContext[].valueRange.extension[].id` | string | No | A sequence of Unicode characters |
| `useContext[].valueRange.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `useContext[].valueRange.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `useContext[].valueRange.low` | object | No | The low limit. The boundary is inclusive. |
| `useContext[].valueRange.low.id` | string | No | A sequence of Unicode characters |
| `useContext[].valueRange.low.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `useContext[].valueRange.low.extension[].id` | string | No | A sequence of Unicode characters |
| `useContext[].valueRange.low.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `useContext[].valueRange.low.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `useContext[].valueRange.low.value` | number | No | A rational number with implicit precision |
| `useContext[].valueRange.low._value` | object | No | Base definition for all elements in a resource. |
| `useContext[].valueRange.low._value.id` | string | No | A sequence of Unicode characters |
| `useContext[].valueRange.low._value.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `useContext[].valueRange.low._value.extension[].id` | string | No | A sequence of Unicode characters |
| `useContext[].valueRange.low._value.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `useContext[].valueRange.low._value.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `useContext[].valueRange.low.comparator` | any | No | How the value should be understood and represented - whether the actual value is greater or less than the stated value due to measurement issues; e.g. if the comparator is "<" , then the real value is < stated value. Possible values: <, <=, >=, > |
| `useContext[].valueRange.low._comparator` | object | No | Base definition for all elements in a resource. |
| `useContext[].valueRange.low._comparator.id` | string | No | A sequence of Unicode characters |
| `useContext[].valueRange.low._comparator.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `useContext[].valueRange.low._comparator.extension[].id` | string | No | A sequence of Unicode characters |
| `useContext[].valueRange.low._comparator.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `useContext[].valueRange.low._comparator.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `useContext[].valueRange.low.unit` | string | No | A sequence of Unicode characters |
| `useContext[].valueRange.low._unit` | object | No | Base definition for all elements in a resource. |
| `useContext[].valueRange.low._unit.id` | string | No | A sequence of Unicode characters |
| `useContext[].valueRange.low._unit.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `useContext[].valueRange.low._unit.extension[].id` | string | No | A sequence of Unicode characters |
| `useContext[].valueRange.low._unit.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `useContext[].valueRange.low._unit.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `useContext[].valueRange.low.system` | string | No | String of characters used to identify a name or a resource |
| `useContext[].valueRange.low._system` | object | No | Base definition for all elements in a resource. |
| `useContext[].valueRange.low._system.id` | string | No | A sequence of Unicode characters |
| `useContext[].valueRange.low._system.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `useContext[].valueRange.low._system.extension[].id` | string | No | A sequence of Unicode characters |
| `useContext[].valueRange.low._system.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `useContext[].valueRange.low._system.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `useContext[].valueRange.low.code` | string | No | A string which has at least one character and no leading or trailing whitespace and where there is no whitespace other than single spaces in the contents |
| `useContext[].valueRange.low._code` | object | No | Base definition for all elements in a resource. |
| `useContext[].valueRange.low._code.id` | string | No | A sequence of Unicode characters |
| `useContext[].valueRange.low._code.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `useContext[].valueRange.low._code.extension[].id` | string | No | A sequence of Unicode characters |
| `useContext[].valueRange.low._code.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `useContext[].valueRange.low._code.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `useContext[].valueRange.high` | object | No | The high limit. The boundary is inclusive. |
| `useContext[].valueRange.high.id` | string | No | A sequence of Unicode characters |
| `useContext[].valueRange.high.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `useContext[].valueRange.high.extension[].id` | string | No | A sequence of Unicode characters |
| `useContext[].valueRange.high.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `useContext[].valueRange.high.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `useContext[].valueRange.high.value` | number | No | A rational number with implicit precision |
| `useContext[].valueRange.high._value` | object | No | Base definition for all elements in a resource. |
| `useContext[].valueRange.high._value.id` | string | No | A sequence of Unicode characters |
| `useContext[].valueRange.high._value.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `useContext[].valueRange.high._value.extension[].id` | string | No | A sequence of Unicode characters |
| `useContext[].valueRange.high._value.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `useContext[].valueRange.high._value.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `useContext[].valueRange.high.comparator` | any | No | How the value should be understood and represented - whether the actual value is greater or less than the stated value due to measurement issues; e.g. if the comparator is "<" , then the real value is < stated value. Possible values: <, <=, >=, > |
| `useContext[].valueRange.high._comparator` | object | No | Base definition for all elements in a resource. |
| `useContext[].valueRange.high._comparator.id` | string | No | A sequence of Unicode characters |
| `useContext[].valueRange.high._comparator.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `useContext[].valueRange.high._comparator.extension[].id` | string | No | A sequence of Unicode characters |
| `useContext[].valueRange.high._comparator.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `useContext[].valueRange.high._comparator.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `useContext[].valueRange.high.unit` | string | No | A sequence of Unicode characters |
| `useContext[].valueRange.high._unit` | object | No | Base definition for all elements in a resource. |
| `useContext[].valueRange.high._unit.id` | string | No | A sequence of Unicode characters |
| `useContext[].valueRange.high._unit.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `useContext[].valueRange.high._unit.extension[].id` | string | No | A sequence of Unicode characters |
| `useContext[].valueRange.high._unit.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `useContext[].valueRange.high._unit.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `useContext[].valueRange.high.system` | string | No | String of characters used to identify a name or a resource |
| `useContext[].valueRange.high._system` | object | No | Base definition for all elements in a resource. |
| `useContext[].valueRange.high._system.id` | string | No | A sequence of Unicode characters |
| `useContext[].valueRange.high._system.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `useContext[].valueRange.high._system.extension[].id` | string | No | A sequence of Unicode characters |
| `useContext[].valueRange.high._system.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `useContext[].valueRange.high._system.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `useContext[].valueRange.high.code` | string | No | A string which has at least one character and no leading or trailing whitespace and where there is no whitespace other than single spaces in the contents |
| `useContext[].valueRange.high._code` | object | No | Base definition for all elements in a resource. |
| `useContext[].valueRange.high._code.id` | string | No | A sequence of Unicode characters |
| `useContext[].valueRange.high._code.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `useContext[].valueRange.high._code.extension[].id` | string | No | A sequence of Unicode characters |
| `useContext[].valueRange.high._code.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `useContext[].valueRange.high._code.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `useContext[].valueReference` | object | Yes | A value that defines the context specified in this context of use. The interpretation of the value is defined by the code. Only one of `valueCodeableConcept`, `valueQuantity`, `valueRange`, `valueReference` may be present. Must reference one of the following types of resources: - `PlanDefinition` - `ResearchStudy` - `InsurancePlan` - `HealthcareService` - `Group` - `Location` - `Organization` |
| `useContext[].valueReference.id` | string | No | A sequence of Unicode characters |
| `useContext[].valueReference.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `useContext[].valueReference.extension[].id` | string | No | A sequence of Unicode characters |
| `useContext[].valueReference.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `useContext[].valueReference.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `useContext[].valueReference.reference` | string | No | A sequence of Unicode characters |
| `useContext[].valueReference._reference` | object | No | Extensions for reference |
| `useContext[].valueReference._reference.id` | string | No | A sequence of Unicode characters |
| `useContext[].valueReference._reference.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `useContext[].valueReference._reference.extension[].id` | string | No | A sequence of Unicode characters |
| `useContext[].valueReference._reference.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `useContext[].valueReference._reference.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `useContext[].valueReference.type` | string | No | String of characters used to identify a name or a resource |
| `useContext[].valueReference._type` | object | No | Extensions for type |
| `useContext[].valueReference._type.id` | string | No | A sequence of Unicode characters |
| `useContext[].valueReference._type.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `useContext[].valueReference._type.extension[].id` | string | No | A sequence of Unicode characters |
| `useContext[].valueReference._type.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `useContext[].valueReference._type.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `useContext[].valueReference.identifier` | object | No | An identifier - identifies some entity uniquely and unambiguously. Typically this is used for business identifiers. |
| `useContext[].valueReference.identifier.id` | string | No | A sequence of Unicode characters |
| `useContext[].valueReference.identifier.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `useContext[].valueReference.identifier.extension[].id` | string | No | A sequence of Unicode characters |
| `useContext[].valueReference.identifier.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `useContext[].valueReference.identifier.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `useContext[].valueReference.identifier.use` | any | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old |
| `useContext[].valueReference.identifier._use` | object | No | Extensions for use |
| `useContext[].valueReference.identifier._use.id` | string | No | A sequence of Unicode characters |
| `useContext[].valueReference.identifier._use.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `useContext[].valueReference.identifier._use.extension[].id` | string | No | A sequence of Unicode characters |
| `useContext[].valueReference.identifier._use.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `useContext[].valueReference.identifier._use.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `useContext[].valueReference.identifier.type` | object | No | A coded type for the identifier that can be used to determine which identifier to use for a specific purpose. |
| `useContext[].valueReference.identifier.type.id` | string | No | A sequence of Unicode characters |
| `useContext[].valueReference.identifier.type.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `useContext[].valueReference.identifier.type.extension[].id` | string | No | A sequence of Unicode characters |
| `useContext[].valueReference.identifier.type.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `useContext[].valueReference.identifier.type.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `useContext[].valueReference.identifier.type.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `useContext[].valueReference.identifier.type.coding[].id` | string | No | A sequence of Unicode characters |
| `useContext[].valueReference.identifier.type.coding[].extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `useContext[].valueReference.identifier.type.coding[].extension[].id` | string | No | A sequence of Unicode characters |
| `useContext[].valueReference.identifier.type.coding[].extension[].url` | string | No | String of characters used to identify a name or a resource |
| `useContext[].valueReference.identifier.type.coding[].extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `useContext[].valueReference.identifier.type.coding[].system` | string | No | String of characters used to identify a name or a resource |
| `useContext[].valueReference.identifier.type.coding[]._system` | object | No | Extensions for system |
| `useContext[].valueReference.identifier.type.coding[]._system.id` | string | No | A sequence of Unicode characters |
| `useContext[].valueReference.identifier.type.coding[]._system.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `useContext[].valueReference.identifier.type.coding[]._system.extension[].id` | string | No | A sequence of Unicode characters |
| `useContext[].valueReference.identifier.type.coding[]._system.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `useContext[].valueReference.identifier.type.coding[]._system.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `useContext[].valueReference.identifier.type.coding[].version` | string | No | A sequence of Unicode characters |
| `useContext[].valueReference.identifier.type.coding[]._version` | object | No | Extensions for version |
| `useContext[].valueReference.identifier.type.coding[]._version.id` | string | No | A sequence of Unicode characters |
| `useContext[].valueReference.identifier.type.coding[]._version.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `useContext[].valueReference.identifier.type.coding[]._version.extension[].id` | string | No | A sequence of Unicode characters |
| `useContext[].valueReference.identifier.type.coding[]._version.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `useContext[].valueReference.identifier.type.coding[]._version.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `useContext[].valueReference.identifier.type.coding[].code` | string | No | A string which has at least one character and no leading or trailing whitespace and where there is no whitespace other than single spaces in the contents |
| `useContext[].valueReference.identifier.type.coding[]._code` | object | No | Extensions for code |
| `useContext[].valueReference.identifier.type.coding[]._code.id` | string | No | A sequence of Unicode characters |
| `useContext[].valueReference.identifier.type.coding[]._code.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `useContext[].valueReference.identifier.type.coding[]._code.extension[].id` | string | No | A sequence of Unicode characters |
| `useContext[].valueReference.identifier.type.coding[]._code.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `useContext[].valueReference.identifier.type.coding[]._code.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `useContext[].valueReference.identifier.type.coding[].display` | string | No | A sequence of Unicode characters |
| `useContext[].valueReference.identifier.type.coding[]._display` | object | No | Extensions for display |
| `useContext[].valueReference.identifier.type.coding[]._display.id` | string | No | A sequence of Unicode characters |
| `useContext[].valueReference.identifier.type.coding[]._display.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `useContext[].valueReference.identifier.type.coding[]._display.extension[].id` | string | No | A sequence of Unicode characters |
| `useContext[].valueReference.identifier.type.coding[]._display.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `useContext[].valueReference.identifier.type.coding[]._display.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `useContext[].valueReference.identifier.type.coding[].userSelected` | boolean | No | Value of "true" or "false" |
| `useContext[].valueReference.identifier.type.coding[]._userSelected` | object | No | Extensions for userSelected |
| `useContext[].valueReference.identifier.type.coding[]._userSelected.id` | string | No | A sequence of Unicode characters |
| `useContext[].valueReference.identifier.type.coding[]._userSelected.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `useContext[].valueReference.identifier.type.coding[]._userSelected.extension[].id` | string | No | A sequence of Unicode characters |
| `useContext[].valueReference.identifier.type.coding[]._userSelected.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `useContext[].valueReference.identifier.type.coding[]._userSelected.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `useContext[].valueReference.identifier.type.text` | string | No | A sequence of Unicode characters |
| `useContext[].valueReference.identifier.type._text` | object | No | Extensions for text |
| `useContext[].valueReference.identifier.type._text.id` | string | No | A sequence of Unicode characters |
| `useContext[].valueReference.identifier.type._text.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `useContext[].valueReference.identifier.type._text.extension[].id` | string | No | A sequence of Unicode characters |
| `useContext[].valueReference.identifier.type._text.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `useContext[].valueReference.identifier.type._text.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `useContext[].valueReference.identifier.system` | string | No | String of characters used to identify a name or a resource |
| `useContext[].valueReference.identifier._system` | object | No | Extensions for system |
| `useContext[].valueReference.identifier._system.id` | string | No | A sequence of Unicode characters |
| `useContext[].valueReference.identifier._system.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `useContext[].valueReference.identifier._system.extension[].id` | string | No | A sequence of Unicode characters |
| `useContext[].valueReference.identifier._system.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `useContext[].valueReference.identifier._system.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `useContext[].valueReference.identifier.value` | string | No | A sequence of Unicode characters |
| `useContext[].valueReference.identifier._value` | object | No | Extensions for value |
| `useContext[].valueReference.identifier._value.id` | string | No | A sequence of Unicode characters |
| `useContext[].valueReference.identifier._value.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `useContext[].valueReference.identifier._value.extension[].id` | string | No | A sequence of Unicode characters |
| `useContext[].valueReference.identifier._value.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `useContext[].valueReference.identifier._value.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `useContext[].valueReference.identifier.period` | object | No | Time period during which identifier is/was valid for use. |
| `useContext[].valueReference.identifier.period.id` | string | No | A sequence of Unicode characters |
| `useContext[].valueReference.identifier.period.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `useContext[].valueReference.identifier.period.extension[].id` | string | No | A sequence of Unicode characters |
| `useContext[].valueReference.identifier.period.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `useContext[].valueReference.identifier.period.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `useContext[].valueReference.identifier.period.start` | string | No | A date, date-time or partial date (e.g. just year or year + month).  If hours and minutes are specified, a time zone SHALL be populated. The format is a union of the schema types gYear, gYearMonth, date and dateTime. Seconds must be provided due to schema type constraints but may be zero-filled and may be ignored.                 Dates SHALL be valid dates. |
| `useContext[].valueReference.identifier.period._start` | object | No | Extensions for start |
| `useContext[].valueReference.identifier.period._start.id` | string | No | A sequence of Unicode characters |
| `useContext[].valueReference.identifier.period._start.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `useContext[].valueReference.identifier.period._start.extension[].id` | string | No | A sequence of Unicode characters |
| `useContext[].valueReference.identifier.period._start.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `useContext[].valueReference.identifier.period._start.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `useContext[].valueReference.identifier.period.end` | string | No | A date, date-time or partial date (e.g. just year or year + month).  If hours and minutes are specified, a time zone SHALL be populated. The format is a union of the schema types gYear, gYearMonth, date and dateTime. Seconds must be provided due to schema type constraints but may be zero-filled and may be ignored.                 Dates SHALL be valid dates. |
| `useContext[].valueReference.identifier.period._end` | object | No | Extensions for end |
| `useContext[].valueReference.identifier.period._end.id` | string | No | A sequence of Unicode characters |
| `useContext[].valueReference.identifier.period._end.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `useContext[].valueReference.identifier.period._end.extension[].id` | string | No | A sequence of Unicode characters |
| `useContext[].valueReference.identifier.period._end.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `useContext[].valueReference.identifier.period._end.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `useContext[].valueReference.display` | string | No | A sequence of Unicode characters |
| `useContext[].valueReference._display` | object | No | Extensions for display |
| `useContext[].valueReference._display.id` | string | No | A sequence of Unicode characters |
| `useContext[].valueReference._display.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `useContext[].valueReference._display.extension[].id` | string | No | A sequence of Unicode characters |
| `useContext[].valueReference._display.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `useContext[].valueReference._display.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `jurisdiction` | Array of object | No | A legal or geographic region in which the questionnaire is intended to be used. |
| `jurisdiction[].coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `jurisdiction[].coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `jurisdiction[].coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `jurisdiction[].text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `purpose` | string | No | Explanation of why this questionnaire is needed and why it has been designed as it has. |
| `copyright` | string | No | A copyright statement relating to the questionnaire and/or its contents. Copyright statements are generally legal restrictions on the use and publishing of the questionnaire. |
| `approvalDate` | string | No | The date on which the resource content was approved by the publisher. Approval happens once when the content is officially approved for usage. |
| `lastReviewDate` | string | No | The date on which the resource content was last reviewed. Review happens periodically after approval but does not change the original approval date. |
| `effectivePeriod` | object | No | The period during which the questionnaire content was or is planned to be in active use. |
| `effectivePeriod.start` | string | No | The start of the period. The boundary is inclusive. |
| `effectivePeriod.end` | string | No | The end of the period. If the end of the period is missing, it means no end was known or planned at the time the instance was created. The start may be in the past, and the end date in the future, which means that period is expected/planned to end at that time. |
| `code` | Array of object | No | An identifier for this question or group of questions in a particular terminology such as LOINC. |
| `code[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `code[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `item` | Array of object | No | A particular question, question grouping or display text that is part of the questionnaire. |
| `item[].linkId` | string | Yes | An identifier that is unique within the Questionnaire allowing linkage to the equivalent item in a QuestionnaireResponse resource. |
| `item[].type` | string | Yes | The type of questionnaire item this is - whether text for display, a grouping of other items or a particular type of data to be captured (string, integer, coded choice, etc.). Possible values: group, display, boolean, decimal, integer, date, dateTime + |
| `item[].definition` | string | No | This element is a URI that refers to an ElementDefinition that provides information about this item, including information that might otherwise be included in the instance of the Questionnaire resource. A detailed description of the construction of the URI is shown in Comments, below. If this element is present then the following element values MAY be derived from the Element Definition if the corresponding elements of this Questionnaire resource instance have no value: * code (ElementDefinition.code) * type (ElementDefinition.type) * required (ElementDefinition.min) * repeats (ElementDefinition.max) * maxLength (ElementDefinition.maxLength) * answerValueSet (ElementDefinition.binding) * options (ElementDefinition.binding). |
| `item[].code` | Array of object | No | A terminology code that corresponds to this group or question (e.g. a code from LOINC, which defines many questions and answers). |
| `item[].code[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `item[].code[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `item[].text` | string | No | The name of a section, the text of a question or text content for a display item. |
| `item[].required` | boolean | No | An indication, if true, that the item must be present in a "completed" QuestionnaireResponse.  If false, the item may be skipped when answering the questionnaire. |
| `item[].answerValueSet` | string | No | A reference to a value set containing a list of codes representing permitted answers for a "choice" or "open-choice" question. |

```json
{
  "resourceType": "Questionnaire",
  "id": "patient-intake-questionnaire",
  "identifier": [
    {
      "use": "official",
      "system": "http://example.org/questionnaire-identifier",
      "value": "phq-9"
    }
  ],
  "status": "draft",
  "date": "2025-03-27T00:00:00Z",
  "publisher": "Good Health Clinics",
  "subjectType": [
    "Patient"
  ],
  "item": [
    {
      "linkId": "LittleInterest",
      "code": [
        {
          "system": "http://loinc.org",
          "code": "44250-9"
        }
      ],
      "text": "Little interest or pleasure in doing things",
      "type": "choice",
      "required": true,
      "answerValueSet": "http://loinc.org/vs/LL358-3"
    },
    {
      "linkId": "FeelingDown",
      "code": [
        {
          "system": "http://loinc.org",
          "code": "44255-8"
        }
      ],
      "text": "Feeling down, depressed, or hopeless",
      "type": "choice",
      "required": true,
      "answerValueSet": "http://loinc.org/vs/LL358-3"
    },
    {
      "linkId": "TroubleSleeping",
      "code": [
        {
          "system": "http://loinc.org",
          "code": "44259-0"
        }
      ],
      "text": "Trouble falling or staying asleep",
      "type": "choice",
      "required": true,
      "answerValueSet": "http://loinc.org/vs/LL358-3"
    },
    {
      "linkId": "FeelingTired",
      "code": [
        {
          "system": "http://loinc.org",
          "code": "44254-1"
        }
      ],
      "text": "Feeling tired or having little energy",
      "type": "choice",
      "required": true,
      "answerValueSet": "http://loinc.org/vs/LL358-3"
    },
    {
      "linkId": "BadAppetite",
      "code": [
        {
          "system": "http://loinc.org",
          "code": "44251-7"
        }
      ],
      "text": "Poor appetite or overeating",
      "type": "choice",
      "required": true,
      "answerValueSet": "http://loinc.org/vs/LL358-3"
    },
    {
      "linkId": "FeelingBadAboutSelf",
      "code": [
        {
          "system": "http://loinc.org",
          "code": "44258-2"
        }
      ],
      "text": "Feeling bad about yourself - or that you are a failure or have let yourself or your family down",
      "type": "choice",
      "required": true,
      "answerValueSet": "http://loinc.org/vs/LL358-3"
    },
    {
      "linkId": "TroubleConcentrating",
      "code": [
        {
          "system": "http://loinc.org",
          "code": "44252-5"
        }
      ],
      "text": "Trouble concentrating on things, such as reading the newspaper or watching television",
      "type": "choice",
      "required": true,
      "answerValueSet": "http://loinc.org/vs/LL358-3"
    },
    {
      "linkId": "MovingSpeaking",
      "code": [
        {
          "system": "http://loinc.org",
          "code": "44253-3"
        }
      ],
      "text": "Moving or speaking so slowly that other people could have noticed. Or the opposite - being so fidgety or restless that you have been moving around a lot more than usual",
      "type": "choice",
      "required": true,
      "answerValueSet": "http://loinc.org/vs/LL358-3"
    },
    {
      "linkId": "TotalScore",
      "code": [
        {
          "system": "http://loinc.org",
          "code": "44261-6"
        }
      ],
      "text": "Total score",
      "type": "integer",
      "required": true
    },
    {
      "linkId": "Difficulty",
      "code": [
        {
          "system": "http://loinc.org",
          "code": "44256-6"
        }
      ],
      "text": "If you checked off any problems, how difficult have these problems made it for you to do your work, take care of things at home, or get along with other people",
      "type": "choice",
      "required": true,
      "answerValueSet": "http://loinc.org/vs/LL358-3"
    }
  ]
}
```

### 400

Request could not be processed or failed validation

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: OperationOutcome |
| `issue` | Array of object | Yes | A structured respresentation of the error that occurred |
| `issue[].severity` | string | Yes | Generally `error` or `fatal` Possible values: fatal, error, warning, information |
| `issue[].code` | string | Yes | A FHIR category code that describes the general type of issue. See http://hl7.org/fhir/ValueSet/issue-type for details |
| `issue[].id` | string | No | If the error occurs in the RedoxEngine, this corresponds to an Error record in the organization. |
| `issue[].details` | object | No | Additional details about the error. This may be a text description of the error or a system code that identifies the error. |
| `issue[].details.coding` | Array of object | No | A more granular FHIR code for the specific error. Typically from http://hl7.org/fhir/ValueSet/operation-outcome |
| `issue[].details.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `issue[].details.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `issue[].details.text` | string | No | A human-readable interpretation of the issue code |
| `issue[].diagnostics` | string | No | Additional diagnostic information about the issue. |

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "invalid",
      "details": {
        "coding": [
          {
            "code": "MSG_BAD_SYNTAX",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Invalid content found in request body."
      }
    }
  ]
}
```

### 401

Authorization is required

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "unknown",
      "details": {
        "coding": [
          {
            "code": "MSG_AUTH_REQUIRED",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Invalid authorization token"
      }
    }
  ]
}
```

### 404

Not found or not supported

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "not-found",
      "details": {
        "coding": [
          {
            "code": "MSG_NO_MODULE",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "my-sandbox is not a recognized FHIR organization"
      }
    }
  ]
}
```

### 500

Internal server error

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "processing",
      "details": {
        "coding": [
          {
            "code": "MSG_RESOURCE_ID_FAIL",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Unable to allocate resource id."
      }
    }
  ]
}
```

### 503

Service unavailable

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "transient",
      "details": {
        "text": "System is unable to process this message at this time."
      }
    }
  ]
}
```
